%define oname   ncursesw

Name:       ruby-%{oname}
Version:    1.2.4.3
Release:    %mkrel 3
Summary:    Provides access to the functions of the ncurses library
License:    LGPLv2+
Group:      Development/Ruby
URL:        http://ncurses-ruby.berlios.de/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ncursesw-1.2.4.3-fix-require-in-examples.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ncurses-devel
BuildRequires: ncursesw-devel
Requires:   ruby(abi) = 1.8

%description
Hacked up version of ncurses gem that supports wide characters and
ruby1.9.2. Original ncurses gem by t-peters@users.berlios.de.

%files
%defattr(-, root, root, -)
%doc README THANKS TODO Changes examples/
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitelibdir}/%{oname}.rb
%{ruby_sitearchdir}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p1

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

chmod -x examples/*

%clean
rm -rf %{buildroot}



%changelog
* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-3.mga1
+ Revision: 75714
- fix license
- buildarch should be noarch for doc

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-2.mga1
+ Revision: 75704
- Fix require in examples

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-1.mga1
+ Revision: 75628
- imported package ruby-ncursesw


* Fri Mar 18 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.4.3-1
- Initial package
